commit:     4b95b914c21aade55d1d72663cab592559da05f8
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 19 21:16:39 2023 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Tue Sep 19 21:24:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b95b914

sys-apps/openrc: add 0.50

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 sys-apps/openrc/Manifest           |   1 +
 sys-apps/openrc/openrc-0.50.ebuild | 169 +++++++++++++++++++++++++++++++++++++
 2 files changed, 170 insertions(+)

diff --git a/sys-apps/openrc/Manifest b/sys-apps/openrc/Manifest
index bd486db2a535..8a7bc303a3fa 100644
--- a/sys-apps/openrc/Manifest
+++ b/sys-apps/openrc/Manifest
@@ -1,3 +1,4 @@
 DIST openrc-0.47.1.tar.gz 249760 BLAKE2B 
3b5afa7e2b0d20801bf2a172b592180fd84d0653f97064ef6b25ed37d33a39c91f02a3fd8a542bd058b33f90d1a8a215a81d2bd3409594151c531b7da2c4fe3b
 SHA512 
83a7b4723d1684efefd1ff311c6cf6de5d8a9db008ff6deeb6d77bddb3d0df7fbeef3942021dcb6e86d28a0cbd64650a910f49082d4c5bd623097da9bb06f244
 DIST openrc-0.48.tar.gz 250249 BLAKE2B 
4d99d0562e268ad747562ee39cae645ea9221a705fb344969388d2f5f8e0597e62c12bda9dffe0d98eab6437aac0af2c873ad082ec8db01cd61e48b8637f421b
 SHA512 
c67c0a1c87f44a6fde0a7634fcdff0683a821eef5183a4f3e1ef850d04dd7f6c23ec0a72b4a76d9f6c08cb34e362d5e204937caec549eadc638c286c2389c5ee
 DIST openrc-0.49.tar.gz 250228 BLAKE2B 
82305af995aa0ef043481839a88b833d300dfae364baf178fccf4fab57f9f5e9567e979a95eac02f099e9c784bd91b8a6b931feab831ce7c8ac131254eb96671
 SHA512 
11ff9cee1d7d47e1dd00102946bd3497da1de71c2e27e37201557889686ea608f2007ac26308d3a1a5d4de540eefe674ea1197be79732cc7f1171058c70e49eb
+DIST openrc-0.50.tar.gz 250416 BLAKE2B 
b5b8eb54d03f727f43928399e2af3ac08a4a416469dae2baf30e91e2cbf2076a298d7683440febbb89b021152b6d40df37df3e081200da5620d501c1ce7ba0df
 SHA512 
54f41d4794bf07b1b4ef6a2f4be88baad4abba32b4cfe885e2a58faf56876bf7c4d46f29b4629b04c56fe9f2efb45b7f8596a45a422ad2f417fd09fe489d8ed3

diff --git a/sys-apps/openrc/openrc-0.50.ebuild 
b/sys-apps/openrc/openrc-0.50.ebuild
new file mode 100644
index 000000000000..11d77ecda370
--- /dev/null
+++ b/sys-apps/openrc/openrc-0.50.ebuild
@@ -0,0 +1,169 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson pam
+
+DESCRIPTION="OpenRC manages the services, startup and shutdown of a host"
+HOMEPAGE="https://github.com/openrc/openrc/";
+
+if [[ ${PV} =~ ^9{4,}$ ]]; then
+       EGIT_REPO_URI="https://github.com/OpenRC/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/OpenRC/openrc/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="audit bash debug ncurses pam newnet +netifrc selinux sysv-utils unicode"
+
+COMMON_DEPEND="
+       ncurses? ( sys-libs/ncurses:0= )
+       pam? ( sys-libs/pam )
+       audit? ( sys-process/audit )
+       sys-process/psmisc
+       selinux? (
+               sys-apps/policycoreutils
+               >=sys-libs/libselinux-2.6
+       )"
+DEPEND="${COMMON_DEPEND}
+       virtual/os-headers
+       ncurses? ( virtual/pkgconfig )"
+RDEPEND="${COMMON_DEPEND}
+       bash? ( app-shells/bash )
+       !prefix? (
+               sysv-utils? (
+                       !sys-apps/systemd[sysv-utils(-)]
+                       !sys-apps/sysvinit
+               )
+               !sysv-utils? (
+                       || (
+                               >=sys-apps/sysvinit-2.86-r6[selinux?]
+                               sys-apps/s6-linux-init[sysv-utils(-)]
+                       )
+               )
+               virtual/tmpfiles
+       )
+       selinux? (
+               >=sec-policy/selinux-base-policy-2.20170204-r4
+               >=sec-policy/selinux-openrc-2.20170204-r4
+       )
+"
+
+PDEPEND="netifrc? ( net-misc/netifrc )"
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature audit)
+               "-Dbranding=\"Gentoo Linux\""
+               $(meson_use newnet)
+               -Dos=Linux
+               $(meson_use pam)
+               $(meson_feature selinux)
+               -Drootprefix="${EPREFIX}"
+               -Dshell=$(usex bash /bin/bash /bin/sh)
+               $(meson_use sysv-utils sysvinit)
+               -Dtermcap=$(usev ncurses)
+       )
+       # export DEBUG=$(usev debug)
+       meson_src_configure
+}
+
+# set_config <file> <option name> <yes value> <no value> test
+# a value of "#" will just comment out the option
+set_config() {
+       local file="${ED}/$1" var=$2 val com
+       eval "${@:5}" && val=$3 || val=$4
+       [[ ${val} == "#" ]] && com="#" && val='\2'
+       sed -i -r -e "/^#?${var}=/{s:=([\"'])?([^ 
]*)\1?:=\1${val}\1:;s:^#?:${com}:}" "${file}"
+}
+
+set_config_yes_no() {
+       set_config "$1" "$2" YES NO "${@:3}"
+}
+
+src_install() {
+       meson_install
+
+       keepdir /lib/rc/tmp
+
+       # Setup unicode defaults for silly unicode users
+       set_config_yes_no /etc/rc.conf unicode use unicode
+
+       # Cater to the norm
+       set_config_yes_no /etc/conf.d/keymaps windowkeys '(' use x86 '||' use 
amd64 ')'
+
+       # On HPPA, do not run consolefont by default (bug #222889)
+       if use hppa; then
+               rm -f "${ED}"/etc/runlevels/boot/consolefont
+       fi
+
+       # Support for logfile rotation
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/openrc.logrotate openrc
+
+       if use pam; then
+               # install gentoo pam.d files
+               newpamd "${FILESDIR}"/start-stop-daemon.pam start-stop-daemon
+               newpamd "${FILESDIR}"/start-stop-daemon.pam supervise-daemon
+       fi
+
+       # install documentation
+       dodoc *.md
+}
+
+pkg_preinst() {
+       # avoid default thrashing in conf.d files when possible #295406
+       if [[ -e "${EROOT}"/etc/conf.d/hostname ]] ; then
+               (
+               unset hostname HOSTNAME
+               source "${EROOT}"/etc/conf.d/hostname
+               : ${hostname:=${HOSTNAME}}
+               [[ -n ${hostname} ]] && set_config /etc/conf.d/hostname 
hostname "${hostname}"
+               )
+       fi
+
+       # set default interactive shell to sulogin if it exists
+       set_config /etc/rc.conf rc_shell /sbin/sulogin "#" test -e /sbin/sulogin
+       return 0
+}
+
+pkg_postinst() {
+       if use hppa; then
+               elog "Setting the console font does not work on all HPPA 
consoles."
+               elog "You can still enable it by running:"
+               elog "# rc-update add consolefont boot"
+       fi
+
+       if ! use newnet && ! use netifrc; then
+               ewarn "You have emerged OpenRc without network support. This"
+               ewarn "means you need to SET UP a network manager such as"
+               ewarn " net-misc/netifrc, net-misc/dhcpcd, net-misc/connman,"
+               ewarn " net-misc/NetworkManager, or net-vpn/badvpn."
+               ewarn "Or, you have the option of emerging openrc with the 
newnet"
+               ewarn "use flag and configuring /etc/conf.d/network and"
+               ewarn "/etc/conf.d/staticroute if you only use static 
interfaces."
+               ewarn
+       fi
+
+       if use newnet && [ ! -e "${EROOT}"/etc/runlevels/boot/network ]; then
+               ewarn "Please add the network service to your boot runlevel"
+               ewarn "as soon as possible. Not doing so could leave you with a 
system"
+               ewarn "without networking."
+               ewarn
+       fi
+
+       # added for 0.45 to handle seedrng/urandom switching (2022-06-07)
+       for v in ${REPLACING_VERSIONS}; do
+               [[ -x $(type rc-update) ]] || continue
+               if ver_test $v -lt 0.45; then
+                       if rc-update show boot | grep -q urandom; then
+                               rc-update del urandom boot
+                               rc-update add seedrng boot
+               fi
+               fi
+       done
+}

Reply via email to